package com.aleena.hitunguang

import android.os.Handler
import android.os.Looper
import com.appsflyer.AppsFlyerConversionListener
import com.appsflyer.AppsFlyerLib
import com.facebook.appevents.AppEventsLogger
import com.facebook.applinks.AppLinkData
import com.google.firebase.FirebaseApp
import com.aleena.hitunguang.utils.impl.Constants
import com.aleena.hitunguang.utils.logE
import com.umeng.commonsdk.UMConfigure
import io.flutter.app.FlutterApplication

class App : FlutterApplication() {

    override fun onCreate() {
        super.onCreate()
        FirebaseApp.initializeApp(this)
        UMConfigure.setLogEnabled(BuildConfig.DEBUG)
        UMConfigure.init(this, Constants.UM_KEY, "google", UMConfigure.DEVICE_TYPE_PHONE, "")
        AppEventsLogger.activateApp(this)
        AppLinkData.fetchDeferredAppLinkData(this) {
            "link:$it".logE()
        }
        initAF()
    }

    private fun initAF() {
        val conversionDataListener = object : AppsFlyerConversionListener {
            override fun onAppOpenAttribution(p0: MutableMap<String, String>?) {
                "onAppOpenAttribution:$p0".logE()
            }

            override fun onAttributionFailure(p0: String?) {
                "onAttributionFailure:$p0".logE()
            }

            override fun onInstallConversionDataLoaded(p0: MutableMap<String, String>?) {
                "onInstallConversionDataLoaded:$p0".logE()
            }

            override fun onInstallConversionFailure(p0: String?) {
                "onInstallConversionFailure:$p0".logE()
            }
        }
        AppsFlyerLib.getInstance().init(Constants.AF_KEY, conversionDataListener, this)
        AppsFlyerLib.getInstance().startTracking(this)
    }

    companion object {
        val mainHandler = Handler(Looper.getMainLooper())
    }
}