package com.aleena.hitunguang.utils

import android.content.Context
import android.os.Build
import android.provider.Settings
import com.google.android.gms.common.GoogleApiAvailability
import com.google.firebase.iid.FirebaseInstanceId
import com.aleena.hitunguang.versionName

fun Context. initPush() {
    NotificationUtil.checkNotification(this)
}

fun Context.deviceParams(token: String):Map<String,Any> {
    val hashMap = HashMap<String, Any>()
    val uuid = Settings.Secure.getString(contentResolver, Settings.Secure.ANDROID_ID)
    hashMap["uuid"] = uuid
    hashMap["mobile_operator"] = 4
    hashMap["wifi_name"] = CommonUtil.getWifiName(this)
    hashMap["network_state"] = CommonUtil.getNetType(this)
    hashMap["jailbreak_status"] = CommonUtil.getDeviceRootedState()
    hashMap["crack_status"] = CommonUtil.getDeviceRootedState()
    hashMap["device_type"] = Build.BRAND
    hashMap["system_version"] = Build.VERSION.RELEASE
    hashMap["app_version"] = versionName()
    hashMap["js_version"] = versionName()
    hashMap["opportunity"] = 1
    hashMap["device_name"] = Build.MODEL
    hashMap["token"] = token
    return hashMap
}


fun Context.getToken(callback:(Map<String,Any>)->Unit) {
    if (GoogleApiAvailability.getInstance().isGooglePlayServicesAvailable(this) != 0) return
    FirebaseInstanceId.getInstance()
            .instanceId
            .addOnCompleteListener {
                if (it.isSuccessful) {
                    it.result?.token?.apply {
                        "token:$this".logE()
                        callback(deviceParams(this))
                    }
                }
            }
}
